* In-text calculations =========================================================\

     do "${do}/analysis/paper/in_text_calculations.do"	

* Main figures =================================================================

	****************************************************************************
	* FIGURE 1: Treatment effect on WTP for high-quality solar lamp		   	   *
	*--------------------------------------------------------------------------*
	*		REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	   *
	*       CREATES:  ${output}/paper/graphs/figure1.png			   	       *
	****************************************************************************

	do "${do}/analysis/paper/graphs/figure1.do"	
	
	****************************************************************************
	* FIGURE 2: Demand curves for low-quality and high-quality solar lamps	   *
	*--------------------------------------------------------------------------*
	*	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/paper/graphs/figure2.png				   	       *
	****************************************************************************

	do "${do}/analysis/paper/graphs/figure2.do"
	

* Main tables ==================================================================

	****************************************************************************
	* Table 1: Balance test between control and treatment groups										   	   *
	*--------------------------------------------------------------------------*
	*	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/paper/tables/table1.xls				   	           *
	****************************************************************************
	
	do "${do}/analysis/paper/tables/table1.do"

	****************************************************************************
	* Table 2: Treatment effects on WTP for high-quality solar lamp								   	   *
	*--------------------------------------------------------------------------*
	*	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/paper/tables/table2.xls				   	           *
	****************************************************************************
	
	do "${do}/analysis/paper/tables/table2.do"

	****************************************************************************
	* Table 3: Treatment effects on expected quality for high-quality solar lamp									   	   *
	*--------------------------------------------------------------------------*
	*	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/paper/tables/table3.xls				   	           *
	****************************************************************************
	
	do "${do}/analysis/paper/tables/table3.do"
	
	****************************************************************************
	* Table 4: Treatment effects on WTP, by level of experience										   	   *
	*--------------------------------------------------------------------------*
	*	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/paper/tables/table4.xls				   	           *
	****************************************************************************
	
	do "${do}/analysis/paper/tables/table4.do"
	
	****************************************************************************
	* Table 5: Treatment effects on quality perception, by level of experience									   	   *
	*--------------------------------------------------------------------------*
	*	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/paper/tables/table5.xls				   	           *
	****************************************************************************
	
	do "${do}/analysis/paper/tables/table5.do"	
	
* Appendix tables ==================================================


	****************************************************************************
	* Table C1								   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_c1.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_c1.do"	
	
	****************************************************************************
	* Table C2									   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_c2.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_c2.do"	

	****************************************************************************
	* Table D1									   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_d1.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d1.do"	
	
	****************************************************************************
	* Table D2									   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_d2.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d2.do"

	****************************************************************************
	* Table D3									   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_d3.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d3.do"
	
	****************************************************************************
	* Table D4								   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_d4.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d4.do"
	
	
	****************************************************************************
	* Table D5
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_d5.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d5.do"
	
	****************************************************************************
	* Table D6									   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_d6.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d6.do"
	
	****************************************************************************
	* Table D7								   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d7.do"
	
	
	****************************************************************************
	* Table D8									   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d8.do"
	
	****************************************************************************
	* Table D9								   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d9.do"
	
	****************************************************************************
	* Table D10								   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d10.do"

	****************************************************************************
	* Table D11								   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d11.do"
	
	****************************************************************************
	* Table D12								   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_d12.do"
	
	****************************************************************************
	* Table E1									   	   *
	*--------------------------------------------------------------------------*
	*   REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta	       *
	*   CREATES:  ${output}/appendix/tables/table_e1.xls					   *
	****************************************************************************

	do "${do}/analysis/appendix/tables/table_e1.do"
*---------------------------------------------------------------- End of do-file