/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  ${output}/appendix/tables/table_c1.xls
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
********************************************************************************
    PART 1: Prepare data
*******************************************************************************/
	
	//0. Open Final household cleaned dataset with new variables
	use "$finaldata\QualitySignaling_Senegal_PrepData.dta", clear
	
**
**TABLE C1: Detailed balance tests between control and treatment groups
**

/*regression output*/  

reg treatment_bin 	$sociodemographics_2 income_avilable_monthly ///
					$attitudes $lampexperience
outreg2 using 	"$output/appendix/tables/table_c1.xls", replace stats (coef se) ///
				addstat(F-test, e(F), Prob > F, e(p)) dec(2)  label
foreach var in C_T1 C_T2 C_T3 T1_T2 T1_T3 T2_T3 {
	reg `var' 	$sociodemographics_2 income_avilable_monthly $attitudes ///
				$lampexperience
	outreg2 using 	"$output/appendix/tables/table_c1.xls", append stats (coef se) ///
					addstat(F-test, e(F), Prob > F, e(p)) dec(2) label
	}
