/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  ${output}/appendix/tables/table_c2.xls
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
********************************************************************************
    PART 1: Prepare data
*******************************************************************************/
	
	//0. Open Final household cleaned dataset with new variables
	use "$finaldata/QualitySignaling_Senegal_PrepData.dta", clear

**
**Table C2: Balance test between respondents without and with solar lamp experience
**

/*regression output*/

reg solarlamp_experience_bin treatment_bin $sociodemographics_2 ///
	income_avilable_monthly $attitudes solarlamp_penetration
outreg2 using 	"$output/appendix/tables/table_c2.xls", replace stats (coef se) ///
				addstat(F-test, e(F), Prob > F, e(p)) dec(2)  label
