/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  ${output}/appendix/tables/table_d1.xls
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
********************************************************************************
    PART 1: Prepare data
*******************************************************************************/
	
	//0. Open Final household cleaned dataset with new variables
	use "$finaldata\QualitySignaling_Senegal_PrepData.dta", clear

**
**Table D1: Table 2 with WTP in levels
**

/*regression output*/

reg wtp_hq_s1_trim2 i.treatment_cat, robust
outreg2 using 	"$output/appendix/tables/table_d1.xls", stats (coef se) ///
				dec(2) label replace
reg wtp_hq_s1_trim2 i.treatment_cat $sociodemographics_2 $attitudes ///
					$lampexperience lq_first, robust
outreg2 using 	"$output/appendix/tables/table_d1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes ///
				$lampexperience lq_first)
reg wtp_hq_s1_trim2 i.treatment_cat_v2 if treatment_cat_v2!=3, robust
outreg2 using 	"$output/appendix/tables/table_d1.xls", stats (coef se) ///
				dec(2) label append
reg wtp_hq_s1_trim2 i.treatment_cat_v2 $sociodemographics_2 $attitudes ///
					$lampexperience lq_first if treatment_cat_v2!=3, robust
outreg2 using 	"$output/appendix/tables/table_d1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes ///
				$lampexperience lq_first)
