/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  ${output}/appendix/tables/table_d5.xls
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
********************************************************************************
    PART 1: Prepare data
*******************************************************************************/

	//0. Open Final household cleaned dataset with new variables
	use "$finaldata/QualitySignaling_Senegal_PrepData.dta", clear

**
**Table D5: Table 3 without winsorization and winsorized at the five lower and upper percentiles
**

/*regression output*/

reg ln_wtp_lq_s1 	i.treatment_cat, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label replace
reg ln_wtp_lq_s1 	i.treatment_cat $sociodemographics_2 $attitudes ///
					$lampexperience lq_first, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes ///
				$lampexperience lq_first)
reg ln_wtp_lq_s1 	i.treatment_cat_v2 if treatment_cat_v2!=3, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1 	i.treatment_cat_v2 $sociodemographics_2 $attitudes ///
					$lampexperience lq_first if treatment_cat_v2!=3, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes ///
				$lampexperience lq_first)

reg ln_wtp_lq_s1_trim5 	i.treatment_cat, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1_trim5 	i.treatment_cat $sociodemographics_2 $attitudes ///
						$lampexperience lq_first, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes ///
				$lampexperience lq_first)
reg ln_wtp_lq_s1_trim5 	i.treatment_cat_v2 if treatment_cat_v2!=3, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1_trim5 	i.treatment_cat_v2 $sociodemographics_2 $attitudes ///
						$lampexperience lq_first if treatment_cat_v2!=3, robust
outreg2 using 	"$output/appendix/tables/table_d5.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes ///
				$lampexperience lq_first)
