/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  Output/appendix/tables/table_d9_log.log
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
*******************************************************************************/
	
	//0. Open log file
	log using "$user/Output/appendix/tables/table_d9_log.log", replace
	
	//1. Open Final household cleaned dataset with new variables
	use "$finaldata/QualitySignaling_Senegal_PrepData.dta", clear

**
**Table D9: Coefficients (without controls) of Table 4 with unadjusted and multiplicity adjusted p-values
**

/*note 1: no regression output available for command mhtexp, logfiles are reported instead*/
/*note 2: mhtexp does not report correct signs of the coefficients, so these have been adjusted manually*/
/*note 3: seed necessary to generate replicable (un)adjusted p-values*/

set seed 844126
mhtexp ln_wtp_hq_s1_trim2, treatment(treatment_cat_v2_mht) ///
	subgroup(solarlamp_experience_bin_mht)

mhtexp ln_wtp_lq_s1_trim2, treatment(treatment_cat_v2_mht) ///
	subgroup(solarlamp_experience_bin_mht)

mhtexp ln_wtp_hq_lq_diff_trim2, treatment(treatment_cat_v2_mht) ///
	subgroup(solarlamp_experience_bin_mht)


mhtexp hq_expect_quality_bin, treatment(treatment_cat_v2_mht) ///
	subgroup(solarlamp_experience_bin_mht)

mhtexp lq_expect_quality_bin, treatment(treatment_cat_v2_mht) ///
	subgroup(solarlamp_experience_bin_mht)

mhtexp diff_expect_quality_bin, treatment(treatment_cat_v2_mht) ///
	subgroup(solarlamp_experience_bin_mht)

	//3. Close log file
	log close
