/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  ${output}/appendix/tables/table_e1.xls
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
********************************************************************************
    PART 1: Prepare data
*******************************************************************************/
	
	//0. Open Final household cleaned dataset with new variables
	use "$finaldata/QualitySignaling_Senegal_PrepData.dta", clear

**
**Table E1: Table 4 with randomization inference p-values (only for Columns ((3) – (6))
**

/*regression output*/

reg ln_wtp_lq_s1_trim2 i.treatment_cat##lq_first, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label replace
reg ln_wtp_lq_s1_trim2 	i.treatment_cat##lq_first $sociodemographics_2 ///
						$attitudes $lampexperience, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes $lampexperience)
reg ln_wtp_lq_s1_trim2 	i.treatment_cat if lq_first==1, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1_trim2 	i.treatment_cat $sociodemographics_2 $attitudes ///
						$lampexperience if lq_first==1, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes $lampexperience)
reg ln_wtp_lq_s1_trim2 	i.treatment_cat if lq_first==0, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1_trim2 	i.treatment_cat $sociodemographics_2 $attitudes ///
						$lampexperience if lq_first==0, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes $lampexperience)

reg ln_wtp_lq_s1_trim2 	i.treatment_cat_v2##lq_first if treatment_cat_v2!=3, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1_trim2 	i.treatment_cat_v2##lq_first $sociodemographics_2 ///
						$attitudes $lampexperience if treatment_cat_v2!=3, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes $lampexperience)
reg ln_wtp_lq_s1_trim2 	i.treatment_cat_v2 if treatment_cat_v2!=3 & ///
						lq_first==1, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1_trim2 	i.treatment_cat_v2 $sociodemographics_2 $attitudes ///
						$lampexperience if treatment_cat_v2!=3 & lq_first==1, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes $lampexperience)
reg ln_wtp_lq_s1_trim2 	i.treatment_cat_v2 if treatment_cat_v2!=3 & ///
						lq_first==0, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append
reg ln_wtp_lq_s1_trim2 	i.treatment_cat_v2 $sociodemographics_2 $attitudes ///
						$lampexperience if treatment_cat_v2!=3 & lq_first==0, robust
outreg2 using 	"${output}/appendix/tables/table_e1.xls", stats (coef se) ///
				dec(2) label append drop($sociodemographics_2 $attitudes $lampexperience)


