/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  in-text calculations
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
********************************************************************************
    PART 1: Prepare data
*******************************************************************************/
	
	//0. Open Final household cleaned dataset with new variables
	use "$finaldata\QualitySignaling_Senegal_PrepData.dta", clear


**
**Study design and data
**

/*number of households*/

codebook hhid

/*number of villages*/

codebook village_code

/*lamp presentation order*/

tab lq_first

/*treatment and control group composition*/

tab treatment_cat
tab treatment_cat lq_first, col

/*footnote 9*/

quietly reg wtp_hq_s1_trim2 if treatment_bin==0 & solarlamp_experience_bin==1
estimates store control_hq, title(HQ lamp)
quietly reg wtp_lq_s1_trim2 if treatment_bin==0 & solarlamp_experience_bin==1
estimates store control_lq, title(LQ lamp)
estimates dir
estimates table control_hq control_lq, star stats(N ll)
suest control_hq control_lq
test [control_hq_mean]_cons - [control_lq_mean]_cons = 0



**
**Information on successful bids (in main text)
**

/*successful bids*/

tab received_lamp

/*payment refusal*/

tab refused_payment










