/*******************************************************************************
* 			Quality Signaling and Demand for Renewable Energy Technology:
*                   Evidence from a Randomized Field Experiment"	           *
********************************************************************************
	REQUIRES: ${finaldata}/QualitySignaling_Senegal_PrepData.dta		   	   *
	CREATES:  ${output}/paper/tables/table2
				
	WRITEN BY:  Ann-Kristin Reitmann 
	
********************************************************************************
    PART 1: Prepare data
*******************************************************************************/
	
	//0. Open Final household cleaned dataset with new variables
	use "$finaldata/QualitySignaling_Senegal_PrepData.dta", clear

**
**TABLE 2: Treatment effects on WTP for high-quality solar lamp
**

/*mean in levels for control group*/

sum wtp_hq_s1_trim2 if treatment_cat==1
local mean_control_hq = r(mean)
di %6.2f  `mean_control_hq'

/*regression output*/

reg ln_wtp_hq_s1_trim2 i.treatment_cat, robust
outreg2 using "$output/paper/tables/table2.xls", 	stats (coef se) dec(2) ///
							addtext(Control group mean WTP, XOF 2355.42) ///
							label replace
reg ln_wtp_hq_s1_trim2 	i.treatment_cat $sociodemographics_2 $attitudes ///
						$lampexperience lq_first, robust
outreg2 using "$output/paper/tables/table2.xls", 	stats (coef se) dec(2) label append ///
							drop($sociodemographics_2 $attitudes ///
							$lampexperience lq_first)
reg ln_wtp_hq_s1_trim2 i.treatment_cat_v2 if treatment_cat_v2!=3, robust
outreg2 using "$output/paper/tables/table2.xls", stats (coef se) dec(2) label append
reg ln_wtp_hq_s1_trim2 	i.treatment_cat_v2 $sociodemographics_2 $attitudes ///
						$lampexperience lq_first if treatment_cat_v2!=3, robust
outreg2 using "$output/paper/tables/table2.xls", 	stats (coef se) dec(2) label append ///
							drop($sociodemographics_2 $attitudes ///
							$lampexperience lq_first)
